> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace File Category List

> Get workspace file category list



## OpenAPI

````yaml /docflow/en/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/category/list
openapi: 3.0.0
info:
  title: DocFlow API
  description: >-
    DocFlow REST API, providing file upload and file processing result retrieval
    capabilities
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/category/list:
    get:
      tags:
        - File Category
      summary: Get Workspace File Category List
      description: Get workspace file category list
      operationId: listCategories
      parameters:
        - name: workspace_id
          in: query
          description: Workspace ID
          required: true
          schema:
            type: string
            example: '1234567890'
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: Page size
          required: false
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: enabled
          in: query
          description: |
            Enabled status
            - all: All
            - 1: Enabled
            - 0: Disabled
            - 2: Draft
          required: false
          schema:
            type: string
            default: '1'
            enum:
              - all
              - '1'
              - '0'
              - '2'
      responses:
        '200':
          description: Successfully retrieved workspace file category list
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          total:
                            type: integer
                            description: Total number of file categories
                            example: 100
                          page:
                            type: integer
                            description: Current page number
                            example: 1
                          page_size:
                            type: integer
                            description: Page size
                            example: 20
                          categories:
                            type: array
                            items:
                              $ref: '#/components/schemas/Category'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: Status code
          example: 200
        msg:
          type: string
          description: Status description
      required:
        - code
        - msg
    Category:
      type: object
      description: File Category
      properties:
        id:
          type: string
          description: File category ID
          example: '1234567890'
        name:
          type: string
          description: File category name
          example: Invoice
        description:
          type: string
          description: File category description
          example: VAT invoice type
        category_prompt:
          type: string
          description: Prompt for classification
          example: >-
            VAT invoice, including fields such as invoice code, invoice number,
            etc.
        extract_model:
          type: string
          description: >
            Extraction model

            - Auto: Automatically matches the extraction model

            - Acgpt: Fast speed with stable extraction results

            - Acgpt-VL: VLM, suitable for simple extraction (≤10 pages)

            - DF-M1: Suitable for complex document understanding

            - mixed: Only in responses, indicates different models are used
            across fields/tables in this category
          example: Acgpt
          enum:
            - Auto
            - Acgpt
            - Acgpt-VL
            - DF-M1
            - mixed
        enabled:
          $ref: '#/components/schemas/EnabledStatus'
      required:
        - id
        - name
    EnabledStatus:
      type: integer
      description: |
        Enabled status
        - 0: Disabled
        - 1: Enabled
        - 2: Draft
      enum:
        - 0
        - 1
        - 2
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````